These are chat archives for ethereum/pydevp2p

3rd
Mar 2016
Ulrich Petri
@ulope
Mar 03 2016 14:31
@aiman: One mystery solved. Your docker example fails to build because it's missing pkg-config (I agree though that the error message isn't helpful at all, will fix that)
Aiman Baharna
@aiman
Mar 03 2016 17:39
@ulope The pkg-config dependency makes sense. After installing it, building and installing secp256k1 succeeds!
Ulrich Petri
@ulope
Mar 03 2016 17:41
@aiman: Good to hear. I've just submitted a PR (ludbb/secp256k1-py#8) to lower the setuptools requirement to 3.3. Once that's accepted it should build on 14.04 out of the box
Aiman Baharna
@aiman
Mar 03 2016 17:47
Excellent news @ulope! By the way I tried the version from your fork ulope/secp256k1-py version and it compiles and installs just fine out of the box. Thank you for your help.